local Pastry = ...

-- Register model for stocking asset
Pastry:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

Pastry:registerPrefabComponent("models/crate.fbx/Prefab/crate", {
	DataType = "COMP_GROUNDED"
})

-- Register image assets
Pastry:registerAssetId("icons/pastry.png", "ICON_" .. _PastryPrefix .. "_PASTRY")

Pastry:register({
	DataType = "RESOURCE",
	Id = _PastryPrefix .. "_PASTRY",
	ResourceName = _PastryPrefix .. "_PASTRY",
	Icon = "ICON_" .. _PastryPrefix .. "_PASTRY",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
--        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
